+ Post New Thread
Page 101 of 468 FirstFirst ... 51 91 99 100 101 102 103 111 151 201 ... LastLast
Threads 2501 to 2525 of 11681

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 24,970
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 41,769
    18th Sep 2006 10:46 pm Go to last post
  1. Text in a box

    Hi, I have a text entity in the model-space. Let's assume that I can retrieve the coordinates of its bounding box perfectly. Now, I have a certain rectangle with a certain size and I wish...

    Started by assafius‎, 25th Sep 2012 09:45 pm
    • Replies: 8
    • Views: 814
    28th Sep 2012 02:00 pm Go to last post
  2. Force Vertical or Horizontal Dimension with LISP

    I've searched for this because I thought I saw it here somewhere before. How can add a dimension using LISP and force it to be vertical or horizontal?

    Started by Bill Tillman‎, 27th Sep 2012 10:33 pm
    • Replies: 3
    • Views: 677
    28th Sep 2012 12:50 pm Go to last post
  3. BEGINNER - TRANS - Coordinate System Transformations

    Hi guys, I made a lisp for drawing something with entmake. This lisp is working perfect in World UCS, i want this lisp to work in any other UCS. Somebody help me? I cannot figure out how to use...

    Started by infipse‎, 27th Sep 2012 06:15 am
    • Replies: 6
    • Views: 787
    28th Sep 2012 05:26 am Go to last post
  4. Loading partial CUI from acad.lsp causes command line and ribbon not to load

    I am putting together a set of lisps and a .dll to give out to our superintendents who are basically CAD illiterate. I currently have them loaded through acaddoc.lsp and acad.lsp. The only...

    Started by pitcher8811‎, 26th Sep 2012 08:19 pm
    • Replies: 3
    • Views: 959
    27th Sep 2012 02:19 pm Go to last post
  5. Excel to Autocad

    Dear friends. I needed a lisp to read a excel file with 3 columns: a name, a North coordinate and a East coordinate, and put into autocad the texts in the respective coordinates but with the...

    Started by RMateus‎, 26th Sep 2012 07:54 pm
    • Replies: 4
    • Views: 940
    27th Sep 2012 02:11 pm Go to last post
  6. block color

    hi guys, need your help again. I have a block and I need to change all the entities inside the block by layer and or by specific color. I was thinking of "nentselp" but that will just just give...

    Started by LISP2LEARN‎, 30th Jun 2012 09:52 pm
    3 Pages
    1 2 3
    • Replies: 27
    • Views: 2,075
    27th Sep 2012 01:10 pm Go to last post
  7. Autocad Programming

    Hi everyone, I want to learn programming for autocad. I want to extend autocad tools. Where should i begin?

    Started by anp2012‎, 21st Sep 2012 05:30 am
    • Replies: 6
    • Views: 825
    27th Sep 2012 11:06 am Go to last post
  8. Lisp to measure path - modify

    I'm using the code below to measure and trace a path and it works. I normally use it to measure points along paths that has the same starting point. When I measure the the successive paths ,...

    Started by sadhu‎, 26th Sep 2012 10:43 pm
    • Replies: 0
    • Views: 385
    26th Sep 2012 10:43 pm Go to last post
  9. rename a single block the refedit

    trying to rename a single block with out having to explode and re-block it, in mechainical it promped to save as a new block with a new base point when clicking save refence edit, when using 08 and...

    Started by flowerrobot‎, 30th May 2008 06:47 am
    2 Pages
    1 2
    • Replies: 12
    • Views: 10,305
    26th Sep 2012 11:17 am Go to last post
  10. xref saved path find and replace: drawing name

    Hi guys, Long time reader, seldom if ever poster. I think I've got a good one this time and can't find a solution. I'm seeking to find and replace strings in hundreds of xref paths. It's not...

    Started by dingleboy‎, 20th Sep 2012 09:05 pm
    find, path, replace, xref
    • Replies: 8
    • Views: 1,759
    25th Sep 2012 07:03 pm Go to last post
  11. convert list with mapcar, lambda...

    I need to convert a list: (51 41 83 10 60 32 46 84) to list: ((51 41)(83 10)(60 32)(46 84)) Regards

    Started by robierzo‎, 22nd Sep 2012 11:30 am
    3 Pages
    1 2 3
    • Replies: 23
    • Views: 1,970
    25th Sep 2012 03:12 pm Go to last post
  12. All input and radio buttons reset when hiding a dialog to get point?

    Hello, Is it normal that when you have a dialog with several radio buttons and edit boxes, and have a button to do a getpoint the whole dialog is reset after you click to get point? I know...

    Started by Attila The Gel‎, 21st Sep 2012 09:22 am
    2 Pages
    1 2
    • Replies: 17
    • Views: 1,099
    25th Sep 2012 02:31 pm Go to last post
  13. lisp to add number to block

    hi iam using this lisp to number my blcoks. but the lisp creates the number as a text, i want a lisp that'll create the number inside the block in an attribute "number". is it possible? ...

    Started by darak80‎, 24th Sep 2012 10:51 am
    • Replies: 3
    • Views: 806
    25th Sep 2012 02:14 pm Go to last post
  14. Dialog BOX Suddenly appears!

    I have been using this Lisp (attached) before without any dialog box appearing. I have a lot of lisp that i used without the dialog box appearing. I understand that i can edit the LISP and put...

    Started by nod684‎, 25th Sep 2012 08:16 am
    • Replies: 5
    • Views: 431
    25th Sep 2012 09:29 am Go to last post
  15. Set View in Paper Space Viewport Relative to Size of Finished Drawing

    I'm still messing with this automated project and one of the things the users have asked me is this question. And remember, there is no user input allowed. If this is possible, it needs to be done...

    Started by Bill Tillman‎, 12th Mar 2012 09:09 pm
    2 Pages
    1 2
    • Replies: 10
    • Views: 2,163
    24th Sep 2012 11:20 pm Go to last post
  16. Update attributes on multiple blocks but keep orientation.....help

    Hello, My problem, i'm drawing electric plans and need to update in many drawings the attributes of the outlet blocks. These outlet blocks have attributes for there number, mounting hight, type...

    Started by BelCAD‎, 20th Sep 2012 07:30 am
    • Replies: 5
    • Views: 463
    24th Sep 2012 01:20 pm Go to last post
  17. moving attribute to Z coordinate

    Hello, I was wondering if there is any lisp program to move attribute to Z-coordinate. I have attribute (block) wich have number as "TOČKA" and Z coordinate like "H". So I need this attribute...

    Started by iztok13‎, 24th Sep 2012 08:08 am
    • Replies: 4
    • Views: 523
    24th Sep 2012 10:05 am Go to last post
  18. Question Draw point along polyline, given length

    friends: How can we Draw a point along selected polyline, given length from beginning of this polyline using lisp or visual basic? Thank you

    Started by declys‎, 19th Feb 2009 03:13 am
    • Replies: 5
    • Views: 3,886
    24th Sep 2012 03:17 am Go to last post
  19. Remove the points that are repeated in a list.

    Hello. I need get two list: 1º-. I have a list: (setq lista1 '((10 20) (30 40) (25 63) (78 45) (30 40) (12 36) (25 63) (33 70))) Remove the points that are repeated in a list. Result: lista1-A...

    Started by robierzo‎, 23rd Sep 2012 09:46 am
    • Replies: 5
    • Views: 439
    23rd Sep 2012 03:50 pm Go to last post
  20. Question from beginner

    What is failing to not work properly?:oops: ;;writing point with z value (defun c:wpz() (setvar "PDMODE" 3) (setq pt (getpoint "\nPoint:")) (setq zv (getdist "\nZ Value:")) (setq x (car pt))...

    Started by teknomatika‎, 21st Sep 2012 10:27 am
    • Replies: 8
    • Views: 685
    23rd Sep 2012 07:50 am Go to last post
  21. Automatically load a lisp

    Hi guys I have developed a simple spreadsheet for the office listing lisp routines that I have gathered over time that I think are really useful, in the spreadsheet there is columns for filename,...

    Started by bigmaz‎, 8th Aug 2012 09:18 am
    2 Pages
    1 2
    • Replies: 17
    • Views: 5,040
    23rd Sep 2012 06:51 am Go to last post
  22. Issues inserting block using a lisp routine - file location

    I joined a company that had very little in the way of cad standards and lisp routines. I took their computers and pointed cad to a common folder location on our servers. When a drafter or engineer...

    Started by endlessurf‎, 20th Sep 2012 05:26 am
    • Replies: 8
    • Views: 1,953
    23rd Sep 2012 02:29 am Go to last post
  23. Coordinates to string convertion?

    Hi, I'm stuck again trying to recreate a lisp & dcl that someone else made where I work? for learning purpose! I don't have the source code so its a perfect example to start with from scratch. ...

    Started by Attila The Gel‎, 21st Sep 2012 11:16 am
    2 Pages
    1 2
    • Replies: 11
    • Views: 706
    21st Sep 2012 10:06 pm Go to last post
  24. Routine Crashes

    This routine crashes if the layer "electplan" already exists. How do I ad an if or cond statement. The routine will take a line and convert it to a pline. (defun c:EPL2 (/ taa taa1 taa2 ds)...

    Started by Traci Dennis‎, 20th Sep 2012 06:55 pm
    • Replies: 5
    • Views: 378
    21st Sep 2012 02:28 pm Go to last post
  25. Loop? While

    I think I know I need the "while" but not sure where to put it and what I am missing for it to work. I tried a few places but nothing seems to be right. I looked at all the other posts and sites. I...

    Started by j_spawn_h‎, 27th Aug 2012 04:31 pm
    2 Pages
    1 2
    • Replies: 13
    • Views: 1,527
    21st Sep 2012 02:12 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts